=== debian/changelog ===
rt-tests (1.0-3) unstable; urgency=medium

  * drop Recommends to dropped package backfire-dkms (Closes: #869960).

 -- Uwe Kleine-König <ukleinek@debian.org>  Fri, 28 Jul 2017 08:10:02 +0200

rt-tests (1.0-2) unstable; urgency=medium

  * drop backfire kernel module package (Closes: #867706)

 -- Uwe Kleine-König <ukleinek@debian.org>  Sun, 16 Jul 2017 22:11:31 +0200

rt-tests (1.0-1) unstable; urgency=medium

  * new upstream stable release
  * new patch cherry picked from upstream/master to install rt-migrate-test's
    manpage
  * Standards-Version: 3.9.8 (no changes needed)

 -- Uwe Kleine-König <ukleinek@debian.org>  Sun, 19 Jun 2016 23:46:40 +0200

rt-tests (0.97-1) unstable; urgency=medium

  * debian/watch: check upstream's signature
  * new upstream release 

 -- Uwe Kleine-König <ukleinek@debian.org>  Thu, 14 Apr 2016 09:21:14 +0200

rt-tests (0.96-1) unstable; urgency=medium

  * new upstream release 
    - drop Fix-VERSION-in-rt-migrate-test.patch which was applied for 0.94
  * switch maintainer entry to debian.org address

 -- Uwe Kleine-König <ukleinek@debian.org>  Fri, 22 Jan 2016 22:20:51 +0100
