=== debian/control ===
Source: rt-tests
Section: misc
Priority: extra
Maintainer: Uwe Kleine-König <ukleinek@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), libnuma-dev (>= 2.0.3) [amd64 i386 ia64 mips mipsel mipsn32 mipsn32el mips64 mips64el powerpc powerpcspe ppc64 x32]
Vcs-Browser: http://git.pengutronix.de/?p=ukl/rt-tests.git;
Vcs-Git: git://git.pengutronix.de/git/ukl/rt-tests.git

Package: rt-tests
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, python,
 libnuma1 (>= 2.0.3) [amd64 i386 ia64 mips mipsel powerpc]
Conflicts: xenomai-runtime
Description: Test programs for rt kernels
 rt-tests contains a set of programs that test and measure various components
 of real-time kernel behavior, such as timer latency, signal latency and the
 functioning of priority-inheritance mutexes.
 Additionally it contains hackbench, a program to generate work for the
 scheduler.
