=== debian/rules ===
#!/usr/bin/make -f

export prefix=/usr

ifneq (,$(findstring $(DEB_BUILD_ARCH), amd64 i386 ia64 mips mipsel mipsn32 mipsn32el mips64 mips64el powerpc))
export NUMA=1
endif

DH_SEQUENCE = $@
DH = dh $(DH_SEQUENCE)

build-arch: build-arch-stamp
build-indep:
build: build-arch build-indep

install: build install-stamp

build-arch-stamp install-stamp: DH_SEQUENCE = ${@:-stamp=}
build-arch-stamp install-stamp:
	$(DH)
	touch $@

binary-arch binary-indep: install
	$(DH)

binary: binary-arch binary-indep

clean:
	$(DH)

.PHONY: build-arch build-indep build clean install binary-indep binary-arch binary
