=== src/queuelat/Makefile ===
queuelat: queuelat.o
	cc -o queuelat queuelat.o

queuelat.o: queuelat.c
	cc -c -Wall queuelat.c

clean:
	rm queuelat queuelat.o
