=== debian/changelog ===
rt-tests (1.5-2) unstable; urgency=medium

  * drop Conflicts to xenomai-runtime which only exists in Jessie.
  * Fix FTBFS on all platforms but arm{el,hf} and x86.

 -- Uwe Kleine-König <ukleinek@debian.org>  Sun, 08 Dec 2019 22:15:22 +0100

rt-tests (1.5-1) unstable; urgency=medium

  * Fix selection for building with or without NUMA (Closes: #930836)
  * New upstream release making several patches unnecessary:
    - dont-build-backfile: done independently in commit 2829763fdd79
      ("rt-tests: Remove install and build of backfire and sendme")
    - install_manpage_rt-migrate-test: Corresponds to upstream commit
      dff174f994f5 ("rt-tests: Makefile: Add missing install of
      rt-migrate-test.8 man page")
    - manpage_pip_stress: Upstream provides a manpage since commit
      c2cf910af821 ("rt-tests: pip_stress: Add an initial man page for
      pip_stress")
    Refresh remaining patches and d/copyright.
    Also upstream switched to python3 (Closes: #945734).
  * Adapt VCS-Browser and VCS-Git to reality.
  * Move to Priority: optional (as per Policy section 2.5)
  * Bump Standards-Version to 4.4.1.
  * Depend on python3 instead of python as all scripts use the new interpreter
    version now.
  * Update d/watch to use https.
  * Enable hardening
  * bump debhelper compat level to 12

 -- Uwe Kleine-König <ukleinek@debian.org>  Thu, 05 Dec 2019 17:08:10 +0100
