=== debian/control ===
Source: rt-tests
Section: misc
Priority: optional
Maintainer: Uwe Kleine-König <ukleinek@debian.org>
Standards-Version: 4.4.1
Build-Depends: debhelper-compat (= 12), libnuma-dev (>= 2.0.3) [amd64 i386 ia64 mips mipsel mipsn32 mipsn32el mips64 mips64el powerpc powerpcspe ppc64 x32]
Vcs-Browser: https://git.pengutronix.de/cgit/ukl/rt-tests
Vcs-Git: https://git.pengutronix.de/git/ukl/rt-tests

Package: rt-tests
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3,
 libnuma1 (>= 2.0.3) [amd64 i386 ia64 mips mipsel powerpc]
Description: Test programs for rt kernels
 rt-tests contains a set of programs that test and measure various components
 of real-time kernel behavior, such as timer latency, signal latency and the
 functioning of priority-inheritance mutexes.
 Additionally it contains hackbench, a program to generate work for the
 scheduler.
