=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,9 @@
 #!/usr/bin/make -f
 
 export prefix=/usr
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-ifneq (,$(findstring $(DEB_BUILD_ARCH), amd64 i386 ia64 mips mipsel mipsn32 mipsn32el mips64 mips64el powerpc))
+ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 i386 ia64 mips mipsel mipsn32 mipsn32el mips64 mips64el powerpc powerpcspe ppc64 x32))
 export NUMA=1
 endif
