=== debian/changelog ===
rt-tests (2.2-1) unstable; urgency=medium

  [ Anders Roxell ]
  * update to new upstream release v1.9
  * update patches for new upstream release
  * Makefile: manpages: only add get_cyclictest_snapshot if PYLIB

  [ Punit Agrawal ]
  * Add Punit Agrawal as an uploader for rt-tests package
  * Update package repository location
  * Update to new upstream release v2.2 (Closes: #971590)
  * Refresh patches for new upstream release

 -- Punit Agrawal <punit@debian.org>  Thu, 09 Sep 2021 13:42:11 +0900
