## rt-tests 2.4

=== debian/changelog ===
rt-tests (2.4-1) unstable; urgency=medium

  * Update to new upstream release v2.4

 -- Punit Agrawal <punit@debian.org>  Sat, 23 Jul 2022 06:37:41 +0100

rt-tests (2.3-1) unstable; urgency=medium

  * Update copyright to account for file rename
  * Update to new upstream release v2.3

 -- Punit Agrawal <punit@debian.org>  Sat, 21 May 2022 17:06:28 +0100
