## rt-tests 2.5

=== debian/changelog ===
rt-tests (2.5-1) unstable; urgency=medium

  * Update to new upstream release v2.4

 -- Punit Agrawal <punit@debian.org>  Sat, 22 Jul 2023 07:23:43 +0100
