## rt-tests 2.6

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 2.2
+VERSION = 2.6
 CC = $(CROSS_COMPILE)gcc
 AR = $(CROSS_COMPILE)ar
 
@@ -30,11 +30,11 @@
 bindir  ?= $(prefix)/bin
 mandir	?= $(prefix)/share/man
 
-CFLAGS ?= -Wall -Wno-nonnull
+CFLAGS ?= -Wall -Wno-nonnull -Wextra
 CPPFLAGS += -D_GNU_SOURCE -Isrc/include
 LDFLAGS ?=
 
-PYLIB  ?= $(shell python3 -c 'import distutils.sysconfig;  print (distutils.sysconfig.get_python_lib())')
+PYLIB ?= $(shell python3 -m get_pylib)
 
 # Check for errors, such as python3 not available
 ifeq (${PYLIB},)
@@ -253,4 +253,4 @@
 
 .PHONY: tags
 tags:
-	ctags -R --extra=+f --c-kinds=+p --exclude=tmp --exclude=BUILD *
+	ctags -R --extras=+f --c-kinds=+p --exclude=tmp --exclude=BUILD *
