=== debian/changelog ===
rt-tests (2.6-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Add patch 0007-Fix-rt-tests-build-with-glibc-2.41.patch from upstream to
    fix build with glibc 2.41.  Closes: #1099287

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 14 Mar 2025 21:57:56 +0100

rt-tests (2.6-1) unstable; urgency=medium

  * Update to new upstream release v2.6

 -- Punit Agrawal <punit@debian.org>  Sun, 24 Mar 2024 15:22:27 +0000
