=== debian/watch ===
version=4

opts="pgpsigurlmangle=s%.xz$%.sign%, decompress" \
https://www.kernel.org/pub/linux/utils/rt-tests/rt-tests-(.*)\.tar\.xz
