=== debian/changelog ===
rt-tests (2.9-1) unstable; urgency=medium

  [ Kevin Becker ]
  * Update to new upstream release v2.9
  * Refresh patches for upstream release v2.9
  * Standards-Version: 4.7.2 (no changes needed)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libnuma-dev (>= 2.0.3).
    + rt-tests: Drop versioned constraint on libnuma1 (>= 2.0.3) in Depends.

  [ Punit Agrawal ]
  * Add new dependency libcpupower
  * Update maintainer. Thank you Uwe for your contributions!

 -- Punit Agrawal <punit@debian.org>  Sat, 30 Aug 2025 21:45:40 +0100
