=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk
export EXTRA_CFLAGS = $(CFLAGS)
export DH_VERBOSE = 1

export prefix=/usr

ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 i386 ia64 mips mipsel mipsn32 mipsn32el mips64 mips64el powerpc powerpcspe ppc64 x32))
export NUMA=1
endif

%:
	dh $@
